package com.sample.wui.jbpm;




import java.io.Serializable;



public class MyWrapper implements Serializable {

	private static final long serialVersionUID = 7989880L;
	private Boolean isEdited = false;
	/**
	 * @return the isEdited
	 */
	public Boolean getIsEdited() {
		return isEdited;
	}
	/**
	 * @param isEdited the isEdited to set
	 */
	public void setIsEdited(Boolean isEdited) {
		this.isEdited = isEdited;
	}
	/* (non-Javadoc)
	 * @see java.lang.Object#hashCode()
	 */
	@Override
	public int hashCode() {
		final int prime = 31;
		int result = 1;
		result = prime * result
				+ ((isEdited == null) ? 0 : isEdited.hashCode());
		return result;
	}
	/* (non-Javadoc)
	 * @see java.lang.Object#equals(java.lang.Object)
	 */
	@Override
	public boolean equals(Object obj) {
		if (this == obj)
			return true;
		if (obj == null)
			return false;
		if (getClass() != obj.getClass())
			return false;
		MyWrapper other = (MyWrapper) obj;
		if (isEdited == null) {
			if (other.isEdited != null)
				return false;
		} else if (!isEdited.equals(other.isEdited))
			return false;
		return true;
	}
	/* (non-Javadoc)
	 * @see java.lang.Object#toString()
	 */
	@Override
	public String toString() {
		return "MyWrapper [isEdited=" + isEdited + "]";
	}
	
	
	


}
